.container {
	display: grid;
	grid-template-columns: 600px 280px 280px;
	grid-template-rows: max-content;
	column-gap: 20px;
	grid-template-areas:
	"canvas controls-primary controls-secondary";
	justify-content: center
}

h2, h3 {
	background: #000;
	color: #fff;
	padding: 10px;
}

@media screen and (max-width:1200px) {
	.container {
		margin-left: 10px;
		margin-right: 10px;
		grid-template-columns: 100%;
		grid-template-rows: max-content max-content max-content;
		row-gap: 20px;
		grid-template-areas:
			"canvas"
			"controls-primary"
			"controls-secondary"
	}
	
	#primary-image-position-wrapper-lower {
		display: none !important;
	}
	
	#primary-image-position-wrapper-upper {
		display: block !important;
	}
	
	.guide-left > img {
		width: 6.25px !important;
	}
}

.controls-primary {
	grid-area: controls-primary
}

.controls-secondary {
	grid-area: controls-secondary
}

.color-picker-wrapper {
	margin-bottom: 5px;
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	flex-direction: column;
	gap: 10px;
}

#graphicsCanvas {
	width: 100%;
	box-shadow: 0px 0px 5px 1px #000000
}

html, body {
	margin: 0;
	padding: 0;
}

body {
	font-family: "Roboto Condensed", sans-serif
}

button, .button {
	display: inline-block;
	padding: 7.5px;
	border: none;
	background: black;
	color: white;
	font-family: "Roboto Condensed", sans-serif;
	font-size: medium;
	cursor: pointer;
	transition: .15s;
}

button:hover, .button:hover {
	background: #282828;
}

button:disabled, .button:disabled {
	background: #555;
	cursor: wait;
}

a.button {
	text-decoration: none;
}

header {
	text-align: center;
	background: #000000;
	color: #ffffff;
	padding: 17.5px;
	margin-bottom: 17.5px;
}

header h1 {
	margin: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 12px
}

textarea {
	height: 75px
}

input[type=number],
input[type=text],
textarea {
	display: block;
	width: 100%;
	font-size: 15px;
	border: 1px solid #adadad;
	font-family: "Roboto Condensed", sans-serif;
	padding: 10px;
	box-sizing: border-box
}

.select2-container, textarea {
	margin-bottom: 5px
}

.select2-container--default .select2-selection--single {
	height: max-content
}

.select2-image-wrapper {
	display: flex;
	overflow: hidden;
	padding: 5px;
	gap: 10px
}

.select2-color {
	width: 40px;
	height: 40px;
}

.select2-text {
	white-space: normal;
	line-height: initial;
	display: flex;
	align-items: center
}

.select2-container-small-images .select2-image {
	max-height: 40px;
	max-width: 80px
}

.select2-container-medium-images .select2-image {
	max-height: 80px;
	max-width: 160px
}

#primary-image-position-wrapper-lower {
	display: block;
}

#primary-image-position-wrapper-upper {
	display: none;
	text-align: center;
	margin-bottom: 10px;
}

.canvas-container {
	grid-area: canvas;
	object-fit: contain;
	width: auto;
	
	display: grid; 
	grid-template-columns: minmax(0, 100%); 
	grid-template-rows: min-content min-content max-content; 
	gap: 10px; 
	grid-template-areas:
		"position-top"
		"guide-top"
		"graphics-canvas"
		"settings"; 
}

.position-top { grid-area: position-top; }

.guide-top { grid-area: guide-top; }
.guide-top > img { width: 100% }

.graphics-canvas { grid-area: graphics-canvas; }
.settings { grid-area: settings; }

.inline {
	display: inline !important;
	width: min-content !important;
}

#sticker-position {
	width: 100%;
}
